# A sample script for fully automated comparative modeling
from modeller import *
from modeller.automodel import *    # Load the automodel class

log.verbose()
env = environ()

# directories for input atom files
env.io.atom_files_directory = ['.', '../atom_files']

a = automodel(env,alnfile  = 'alignment.seg', knowns   = ('2AZW', '1XWH', '1H5P', '1M9D'), sequence = 'AIRE')
a.auto_align();                      # get an automatic alignment
a.make()                            # do homology modeling
